#!/bin/bash
###############################################################################
##
## @File:       $RCSfile: add_files.sh,v $
## @Author:     Digi International Inc.
## @Revision:   $Revision: 1.2 $
## @Date:       $Date: 2007-03-13 15:57:09 $
##
## @Description:
##
##  Template script available for customers to edit so they can install
##  their own files in the rootfs.
##
##  It is installed in each project so it can be per-project customized.
##  This script has access to following project variables:
##
##      DEL_TOOL_DIR -> Digi Embedded Linux path.
##      DEL_PROJ_DIR -> Project path.
##      DEL_PLATFORM -> Target platform.
##      DEL_TFTP_DIR -> TFTPBOOT path.
##      DEL_NFS_DIR  -> Rootfs nfs-exported path.
##
##  These variables are exported in topdir Makefile.
##
##  Though you can use all above variables, the recommended way is to customize
##  the project rootfs (see ROOTFS_DIR below). Doing this way, your changes
##  will be included in rootfs images and in nfs-exported rootfs as well.
##
###############################################################################

ROOTFS_DIR="${DEL_PROJ_DIR}/build/rootfs"

## Example: create a custom directory in rootfs etc dir.
# mkdir -p "${ROOTFS_DIR}/etc/myfolder"
cp ${ROOTFS_DIR}/usr/share/www/spi_demo.html 			${DEL_NFS_DIR}/usr/share/www/spi_demo.html
cp ${ROOTFS_DIR}/usr/share/www/conti.gif				${DEL_NFS_DIR}/usr/share/www/conti.gif
cp ${ROOTFS_DIR}/usr/share/www/style.css 				${DEL_NFS_DIR}/usr/share/www/style.css
cp ${ROOTFS_DIR}/usr/share/www/cgi-bin/spidev_test_c 	${DEL_NFS_DIR}/usr/share/www/cgi-bin/spidev_test_c
cp ${ROOTFS_DIR}/tmp/values.xml 						${DEL_NFS_DIR}/tmp/values.xml

exit 0
